OGRE: Ogre::VectorRange< T > Struct Template Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::VectorRange< T > Struct Template Reference

Predefined type. More...

`#include <OgreIteratorRange.h>`

Inheritance diagram for Ogre::VectorRange< T >:
[legend]

## Public Types
typedef T | const_iterator
| typedef to fulfill container interface More...
typedef T | iterator
| typedef to fulfill container interface More...
typedef iterator_range< T > | type
| defines the real used type More...

## Public Member Functions
| VectorRange (T &c)
| Constructor. More...
| VectorRange (typename T::iterator b, typename T::iterator e)
| Constructor. More...
T | begin () const
| access to the begin of the range More...
bool | empty () const
| informs if there are any elements in the range More...
T | end () const
| access to the end of the range More...
bool | equal (const iterator_range &other) const
| comparison for equality More...
bool | operator!= (const iterator_range &rhs) const
| comparison operator for inequality More...
bool | operator!= (const VectorRange &rhs) const
| comparison operator for inequality More...
bool | operator== (const iterator_range &rhs) const
| comparison operator for equality More...
bool | operator== (const VectorRange &rhs) const
| comparison operator for equality More...

## Detailed Description

### template<typename T>
struct Ogre::VectorRange< T >

Predefined type.

Template Parameters

  T | iterator type

compatility class for VectorIterator

## Member Typedef Documentation

## ◆ const_iterator

template<typename T >

typedef T Ogre::iterator_range< T >::const_iterator
| inherited

typedef to fulfill container interface

Note
  there is no distinction between const_iterator and iterator.

## ◆ iterator

template<typename T >

typedef T Ogre::iterator_range< T >::iterator
| inherited

typedef to fulfill container interface

Note
  there is no distinction between const_iterator and iterator.

## ◆ type

template<typename T >

typedef iterator_range<T> Ogre::iterator_range< T >::type
| inherited

defines the real used type

type will be defined as Ogre::iterator_range if not used with boost
otherwise the type will be boost::iterator_range

## Constructor & Destructor Documentation

## ◆ VectorRange() [1/2]

template<typename T >

Ogre::VectorRange< T >::VectorRange | ( | T & | c | ) |
| inline

Constructor.

Remarks
  Provide a container to initialise.

## ◆ VectorRange() [2/2]

template<typename T >

Ogre::VectorRange< T >::VectorRange | ( | typename T::iterator | b,
|  | typename T::iterator | e
| ) |  |
| inline

Constructor.

Remarks
  Provide a start and end iterator to initialise.

## Member Function Documentation

## ◆ begin()

template<typename T >

T Ogre::iterator_range< T >::begin | ( |  | ) | const
| inlineinherited

access to the begin of the range

## ◆ empty()

template<typename T >

bool Ogre::iterator_range< T >::empty | ( | void |  | ) | const
| inlineinherited

informs if there are any elements in the range

## ◆ end()

template<typename T >

T Ogre::iterator_range< T >::end | ( |  | ) | const
| inlineinherited

access to the end of the range

## ◆ equal()

template<typename T >

bool Ogre::iterator_range< T >::equal | ( | const iterator_range< T > & | other | ) | const
| inlineinherited

comparison for equality

Referenced by Ogre::ConstMapRange< T >::operator!=(), Ogre::ConstVectorRange< T >::operator!=(), Ogre::MapRange< T >::operator!=(), Ogre::VectorRange< T >::operator!=(), Ogre::ConstMapRange< T >::operator==(), Ogre::ConstVectorRange< T >::operator==(), Ogre::iterator_range< T >::operator==(), Ogre::MapRange< T >::operator==(), and Ogre::VectorRange< T >::operator==().

## ◆ operator!=() [1/2]

template<typename T >

bool Ogre::iterator_range< T >::operator!= | ( | const iterator_range< T > & | rhs | ) | const
| inlineinherited

comparison operator for inequality

References Ogre::iterator_range< T >::operator==().

## ◆ operator!=() [2/2]

template<typename T >

bool Ogre::VectorRange< T >::operator!= | ( | const VectorRange< T > & | rhs | ) | const
| inline

comparison operator for inequality

References Ogre::iterator_range< T >::equal().

## ◆ operator==() [1/2]

template<typename T >

bool Ogre::iterator_range< T >::operator== | ( | const iterator_range< T > & | rhs | ) | const
| inlineinherited

comparison operator for equality

References Ogre::iterator_range< T >::equal().

Referenced by Ogre::iterator_range< T >::operator!=().

## ◆ operator==() [2/2]

template<typename T >

bool Ogre::VectorRange< T >::operator== | ( | const VectorRange< T > & | rhs | ) | const
| inline

comparison operator for equality

References Ogre::iterator_range< T >::equal().

The documentation for this struct was generated from the following file:

- OgreIteratorRange.h